Error
A valid request URL is required to generate request examples{
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"code": "<string>",
"ncmCode": "<string>",
"name": "<string>",
"active": true,
"hasManyColors": true,
"hasManySizes": true,
"description": "<string>",
"resume": "<string>",
"availableForPreOrder": true,
"preOrderMinimumProduct": 123,
"preOrderMinimumItem": 123,
"integrationCode": "<string>",
"preOrderMultipleProduct": 123,
"preOrderMultipleItem": 123,
"readyForDeliveryMultipleProduct": 123,
"readyForDeliveryMultipleItem": 123,
"collection": {
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"code": "<string>",
"name": "<string>",
"origin": "INTEGRATION"
},
"category": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"code": "<string>",
"imageUrl": "<string>",
"uniqueSequential": 123,
"classification": "<string>"
},
"colors": [
{
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"code": "<string>",
"name": "<string>",
"isImage": true,
"unique": true,
"active": true,
"imageUrl": "<string>",
"hexcode": "<string>",
"productColorCode": "<string>",
"customized": true,
"allowChangePreOrderGrid": "<string>",
"allowChangeImmediateGrid": "<string>",
"allowPackPartialApplyInPreOrder": true,
"allowPackPartialApplyInImmediate": true,
"color": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"isImage": true,
"unique": true,
"active": true,
"imageUrl": "<string>",
"hexcode": "<string>",
"integrationCode": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
],
"referenceCode": "<string>"
}produtos
product details by refId
GET
/
v1
/
products
/
{refId}
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"code": "<string>",
"ncmCode": "<string>",
"name": "<string>",
"active": true,
"hasManyColors": true,
"hasManySizes": true,
"description": "<string>",
"resume": "<string>",
"availableForPreOrder": true,
"preOrderMinimumProduct": 123,
"preOrderMinimumItem": 123,
"integrationCode": "<string>",
"preOrderMultipleProduct": 123,
"preOrderMultipleItem": 123,
"readyForDeliveryMultipleProduct": 123,
"readyForDeliveryMultipleItem": 123,
"collection": {
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"code": "<string>",
"name": "<string>",
"origin": "INTEGRATION"
},
"category": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"code": "<string>",
"imageUrl": "<string>",
"uniqueSequential": 123,
"classification": "<string>"
},
"colors": [
{
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"code": "<string>",
"name": "<string>",
"isImage": true,
"unique": true,
"active": true,
"imageUrl": "<string>",
"hexcode": "<string>",
"productColorCode": "<string>",
"customized": true,
"allowChangePreOrderGrid": "<string>",
"allowChangeImmediateGrid": "<string>",
"allowPackPartialApplyInPreOrder": true,
"allowPackPartialApplyInImmediate": true,
"color": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"isImage": true,
"unique": true,
"active": true,
"imageUrl": "<string>",
"hexcode": "<string>",
"integrationCode": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
],
"referenceCode": "<string>"
}Authorizations
unique identifier access key. each brand has it own unique key.
Path Parameters
Response
product details by refId
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
